Folks.Location – folks Reference Manual

# Location

## Object Hierarchy:

## Description:

public class Location : Object

A location. Typically latitude and longitude will be based on WGS84. However, folks often has no way of verifying that and just has to assume it's true.

## Since:

0.9.2

Namespace: Folks
Package: folks

## Content:

### Creation methods:

- public Location (double latitude, double longitude)
  Constructs a new instance with the given coordinates.

### Methods:

- public bool equal (Location other)
  Compare this location to another by geographical position.
- public bool equal_coordinates (double latitude, double longitude)
  Compare the geographical position of this location against another position.

### Fields:

- public double latitude
  The latitude.
- public double longitude
  The longitude.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref